Bug 19995 - use Modern::Perl in Catalogue perl scripts
Summary: use Modern::Perl in Catalogue perl scripts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Zoe Bennett
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 2505 20539 20620
  Show dependency treegraph
 
Reported: 2018-01-17 04:38 UTC by Aleisha Amohia
Modified: 2018-04-19 12:44 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19995: Replacing 'use strict; use warnings;' with 'use Modern::Perl;' (4.52 KB, patch)
2018-01-18 00:48 UTC, Zoe Bennett
Details | Diff | Splinter Review
Bug 19995: Replacing 'use strict; use warnings;' with 'use Modern::Perl;' (4.52 KB, patch)
2018-01-24 18:09 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 19995: Replacing 'use strict; use warnings;' with 'use Modern::Perl;' (4.57 KB, patch)
2018-01-24 18:37 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 19995: use Modern::Perl in Catalogue perl scripts (4.67 KB, patch)
2018-02-04 14:41 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2018-01-17 04:38:45 UTC
use Modern::Perl should be used instead of use strict; use warnings;

Relevant in:
MARCdetail.pl
export.pl
image.pl
imageviewer.pl
issuehistory.pl
labeledMARCdetail.pl
moredetail.pl
search.pl
showmarc.pl
updateitem.pl
Comment 1 Zoe Bennett 2018-01-18 00:48:35 UTC
Created attachment 70656 [details] [review]
Bug 19995: Replacing 'use strict; use warnings;' with 'use Modern::Perl;'

Test Plan:
- Check that it now says 'use Modern::Perl;' and not 'use strict; use
warnings;' in the following catalogue perl scripts.

MARCdetail.pl
export.pl
image.pl
imageviewer.pl
issuehistory.pl
labeledMARCdetail.pl
moredetail.pl
search.pl
showmarc.pl
updateitem.pl
Comment 2 Jon Knight 2018-01-24 18:09:43 UTC
Created attachment 70883 [details] [review]
Bug 19995: Replacing 'use strict; use warnings;' with 'use Modern::Perl;'

Test Plan:
- Check that it now says 'use Modern::Perl;' and not 'use strict; use
warnings;' in the following catalogue perl scripts.

MARCdetail.pl
export.pl
image.pl
imageviewer.pl
issuehistory.pl
labeledMARCdetail.pl
moredetail.pl
search.pl
showmarc.pl
updateitem.pl
Comment 3 Jon Knight 2018-01-24 18:37:29 UTC
Created attachment 70895 [details] [review]
Bug 19995: Replacing 'use strict; use warnings;' with 'use Modern::Perl;'

Test Plan:
- Check that it now says 'use Modern::Perl;' and not 'use strict; use
warnings;' in the following catalogue perl scripts.

MARCdetail.pl
export.pl
image.pl
imageviewer.pl
issuehistory.pl
labeledMARCdetail.pl
moredetail.pl
search.pl
showmarc.pl
updateitem.pl

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>
Comment 4 Katrin Fischer 2018-02-04 14:41:34 UTC
Created attachment 71197 [details] [review]
Bug 19995: use Modern::Perl in Catalogue perl scripts

Test Plan:
- Check that it now says 'use Modern::Perl;' and not 'use strict; use
warnings;' in the following catalogue perl scripts.

MARCdetail.pl
export.pl
image.pl
imageviewer.pl
issuehistory.pl
labeledMARCdetail.pl
moredetail.pl
search.pl
showmarc.pl
updateitem.pl

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2018-02-05 12:58:49 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-02-16 00:57:23 UTC
Awesome work all! Enhancement not backported to stable.